package com.liquidnet.service.adam.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.liquidnet.service.adam.dto.vo.AdamUserMemberVo;
import com.liquidnet.service.adam.entity.AdamUserMember;

/**
 * 会员用户信息
 */
public interface IAdamUserMemberService extends IService<AdamUserMember> {

    String getMaxMemberNo(String memberId);

    // 获取用户会员信息
    AdamUserMemberVo getUserMemberInfo(String uid);

    /**
     * 获取会员库存
     * @param memberId
     * @return
     */
    boolean getOneFromRepertory(String memberId);

    /**
     * 限购数量
     * @param memberId
     * @return
     */
    Integer getRepertoryCount(String memberId);
}
